> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiserviceaccountsv1serviceaccounts tokens



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/tokens
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/tokens:
    get:
      tags:
        - ServiceAccounts
      operationId: getServiceAccountTokens
      parameters:
        - $ref: '#/components/parameters/serviceAccountIdpId'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedServiceAccountTokenEnvelope'
          description: Get the list of tokens associated with a particular service account
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    serviceAccountIdpId:
      in: path
      name: serviceAccountIdpId
      required: true
      schema:
        type: string
    offset:
      description: Zero-based; indicates how many events to skip over before
      in: query
      name: offset
      required: false
      schema:
        default: 0
        format: int32
        type: integer
    limit:
      description: Maximum number of records to return.
      in: query
      name: limit
      required: false
      schema:
        default: 50
        format: int32
        type: integer
  schemas:
    PaginatedServiceAccountTokenEnvelope:
      properties:
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
        tokens:
          items:
            $ref: '#/components/schemas/ServiceAccountTokenDetails'
          type: array
      required:
        - tokens
        - metadata
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    ServiceAccountTokenDetails:
      properties:
        createdAt:
          example: '2025-08-21T23:51:54.075Z'
          format: date-time
          type: string
        expiresAt:
          example: '2025-08-21T23:51:54.075Z'
          format: date-time
          type: string
        isValid:
          type: boolean
        name:
          type: string
        serviceAccountIdpId:
          type: string
      required:
        - name
        - serviceAccountIdpId
        - isValid
        - createdAt
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
  responses:
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````